Raritan PX2/PX3 JSON-RPC API

TestDisplay.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2012 Raritan Inc. All rights reserved.
4 */
5
6 #ifndef __TEST_DISPLAY_IDL__
7 #define __TEST_DISPLAY_IDL__
8
9 /**
10 * Test Interfaces
11 */
12 module test {
13
14 /** Type-independent display test interface */
15 interface Display_1_0_1 {
16
17 /** Display orientation */
18 enumeration Orientation {
19 NORMAL, ///< Normal orientation
20 FLIPPED, ///< Upside-down
21 LEFT, ///< Left side down
22 RIGHT ///< Right side down
23 };
24
25 /** Collected display meta information */
26 structure Info {
27 string type; ///< Display type
28 string address; ///< Display address
29 map<string, string> options; ///< Display options
30 Orientation orientation; ///< Display orientation
31 };
32
33 /**
34 * Retrieve display's meta information.
35 *
36 * @return Display information
37 */
38 Info getInfo();
39
40 /**
41 * Execute a test sequence that is a bit more elaborate than
42 * just on and off all.
43 *
44 * @param cycleTime_ms Delay between state changes in ms
45 */
46 void testSequence(in int cycleTime_ms);
47
48 /** Status of interactive test */
49 enumeration TestStatus {
50 TEST_IDLE, ///< Test has not been started
51 TEST_BUSY, ///< Test is in progress
52 TEST_PASSED, ///< The test finished successfully
53 TEST_FAILED ///< The test failed
54 };
55
56 /**
57 * Start an interactive test on units which support it.
58 */
59 void enterTestMode();
60
61 /**
62 * Get the current status of the interactive test.
63 *
64 * @return Test status
65 */
66 TestStatus getTestStatus();
67
68 };
69
70 }
71
72 #endif
test::Display_1_0_1::Info::orientation
Orientation orientation
Display orientation.
Definition: TestDisplay.idl:30
test::Display_1_0_1::TEST_BUSY
Test is in progress.
Definition: TestDisplay.idl:51
test
Test Interfaces.
Definition: TestDisplay.idl:12
test::Display_1_0_1::TEST_PASSED
The test finished successfully.
Definition: TestDisplay.idl:52
test::Display_1_0_1
Type-independent display test interface.
Definition: TestDisplay.idl:15
test::Display_1_0_1::Info
Collected display meta information.
Definition: TestDisplay.idl:26
test::Display_1_0_1::Info::options
map< string, string > options
Display options.
Definition: TestDisplay.idl:29
test::Display_1_0_1::Orientation
Orientation
Display orientation.
Definition: TestDisplay.idl:18
test::Display_1_0_1::LEFT
Left side down.
Definition: TestDisplay.idl:21
test::Display_1_0_1::Info::type
string type
Display type.
Definition: TestDisplay.idl:27
test::Display_1_0_1::TEST_IDLE
Test has not been started.
Definition: TestDisplay.idl:50
test::Display_1_0_1::FLIPPED
Upside-down.
Definition: TestDisplay.idl:20
test::Display_1_0_1::Info::address
string address
Display address.
Definition: TestDisplay.idl:28
test::Display_1_0_1::NORMAL
Normal orientation.
Definition: TestDisplay.idl:19
test::Display_1_0_1::TestStatus
TestStatus
Status of interactive test.
Definition: TestDisplay.idl:49